hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gopal V (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-8271) Jackson incompatibility between hadoop-2.4 and hive-14
Date Fri, 26 Sep 2014 20:51:34 GMT

     [ https://issues.apache.org/jira/browse/HIVE-8271?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gopal V updated HIVE-8271:
--------------------------
    Status: Patch Available  (was: Open)

> Jackson incompatibility between hadoop-2.4 and hive-14
> ------------------------------------------------------
>
>                 Key: HIVE-8271
>                 URL: https://issues.apache.org/jira/browse/HIVE-8271
>             Project: Hive
>          Issue Type: Bug
>          Components: UDF
>    Affects Versions: 0.14.0
>            Reporter: Gopal V
>            Assignee: Gopal V
>            Priority: Blocker
>             Fix For: 0.14.0
>
>         Attachments: HIVE-8271.1.patch
>
>
> jackson-1.8 is not API compatible with jackson-1.9 (abstract classes).
> {code}
> threw an Error.  Shutting down now...
> java.lang.AbstractMethodError: org.codehaus.jackson.map.AnnotationIntrospector.findSerializer(Lorg/codehaus/jackson/map/introspect/Annotated;)Ljava/lang/Object;
> {code}
> hadoop-common (2.4) depends on jackson-1.8 and hive-14 depends on jackson-1.9.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message